MsgBox

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## other
Class MsgBox

    java.lang.Object
      other.MsgBox

public class MsgBox
extends java.lang.Object

MsgBox Klasse Beinhaltet statische Methoden mit denen Meldungen angezeigt werden können

Constructor Summary
`MsgBox()`

Method Summary
`static java.lang.String` | `askDirectory(java.lang.String sText)` Zeigt einen Ordnerwahl-Dialog an
`static void` | `showError(java.lang.String sText)` Zeigt eine Fehlermeldung an
`static void` | `showInfo(java.lang.String sText)` Zeigt eine informative Meldung an
`static boolean` | `showOKCancelQuestion(java.lang.String sText)` Zeigt eine Frage an
`static int` | `showYesNoCancelQuestion(java.lang.String sText)` Zeigt eine Frage mit der Möglichkeit zum Abbruch an
`static boolean` | `showYesNoQuestion(java.lang.String sText)` Zeigt eine Frage an

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MsgBox

    public MsgBox()

Method Detail

### showError

    public static void showError(java.lang.String sText)

  Zeigt eine Fehlermeldung an

  Parameters:
    `sText` - Fehlermeldung, die angezeigt werden soll

### showInfo

    public static void showInfo(java.lang.String sText)

  Zeigt eine informative Meldung an

  Parameters:
    `sText` - Meldung, die angezeigt werden soll

### showYesNoQuestion

    public static boolean showYesNoQuestion(java.lang.String sText)

  Zeigt eine Frage an

  Parameters:
    `sText` - Fehlermeldug, die angezeigt werden soll
  Returns:
    true wenn Ja. sonst false

### showOKCancelQuestion

    public static boolean showOKCancelQuestion(java.lang.String sText)

  Zeigt eine Frage an

  Parameters:
    `sText` - Fehlermeldug, die angezeigt werden soll
  Returns:
    true wenn OK, sonst false

### showYesNoCancelQuestion

    public static int showYesNoCancelQuestion(java.lang.String sText)

  Zeigt eine Frage mit der Möglichkeit zum Abbruch an

  Parameters:
    `sText` - Fehlermeldug, die angezeigt werden soll
  Returns:
    SWT.YES, SWT.NO oder SWT.CANCEL

### askDirectory

    public static java.lang.String askDirectory(java.lang.String sText)

  Zeigt einen Ordnerwahl-Dialog an

  Parameters:
    `sText` - angezeigter Text
  Returns:
    absoluter Pfad oder Null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD